%define name		jonas
%define version		4.6.3
%define major_version	4.6
%define final_release   1jpp_5rh

%define _with_rhaps 1
%define _with_postgresql 1

# If '--with snapshot' is not specified, a production release will be built
# For snapshots, give rpmbuild the option '--with snapshot'
# the current date will be used
# To specify a date, add '--define "snapshot YYYYMMDD"' as well
%define cvs_version	%{?snapshot}%{!?snapshot:%(date +%Y%m%d)}
%if %{?_with_snapshot:1}%{!?_with_snapshot:0}
%define release		0.%{cvs_version}.1jpp_1rh
%else
%define release		%{final_release}
%endif

%define section		free
%define summary		JOnAS J2EE/EJB server

# If you want -tests built, give rpmbuild the option '--with tests'
%define with_tests %{!?_with_tests:0}%{?_with_tests:1}

# If you want PostgreSQL to be configured instead of the default
# HSQLDB DBMS, give rpmbuild the option '--with postgresql'
%define with_postgresql %{!?_with_postgresql:0}%{?_with_postgresql:1}

# Red Hat uses '--with rhaps' for their build
%define with_rhaps %{!?_with_rhaps:0}%{?_with_rhaps:1}


#	jonasrootdir	/usr/share/jonas
%define jonasrootdir	%{_datadir}/%{name}
#	confdir		/etc/jonas
%define confdir		%{_sysconfdir}/%{name}
#	logsdir		/var/log/jonas
%define logsdir		%{_localstatedir}/log/%{name}
#	syslibdir	/var/lib
%define syslibdir	%{_localstatedir}/lib
%define appsdir		%{syslibdir}/%{name}/apps
%define webappsdir	%{syslibdir}/%{name}/webapps
%define ejbjarsdir	%{syslibdir}/%{name}/ejbjars
%define clientsdir	%{syslibdir}/%{name}/clients
%define rarsdir		%{syslibdir}/%{name}/rars
%define libdir		%{syslibdir}/%{name}/lib
%define demodir		%{syslibdir}/%{name}/demoserver
%define eclipsedir	%{syslibdir}/%{name}/eclipseserver
%define jonastestsdir	%{syslibdir}/%{name}/jonas_tests
#	workdir		/var/cache/jonas/work
%define workdir		%{_localstatedir}/cache/%{name}/work

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
#Vendor:         JPackage Project
#Distribution:   JPackage
URL:            http://jonas.objectweb.org/
BuildArch:      noarch

# Source files

# The pristine tar ball from ObjectWeb
%if %{?_with_snapshot:1}%{!?_with_snapshot:0}
Source0:        %{name}-%{version}-%{cvs_version}-src.tgz
%else
Source0:        %{name}-%{version}-src.tgz
%endif

# Explains how to start the JOnAS server installed by this RPM
Source1:	JONAS.README.RPM

# Red Hat sources (init scripts, log rotation etc.)
# (may work on other SysV-style distros)

%if %{with_rhaps}
# Red Hat specific
# A web application version of the JOnAS User Guide
# (DocBook formatted manual)
Source2: jonas-doc-en-%{major_version}-src.tgz
Source3: jonas-doc-web.xml
%endif

# An init script for the default JOnAS server (the one that runs
# the jonasAdmin application) and corresponding config properties
Source4: jonas.init 
Source5: jonas.sysconfig
%if %{with_postgresql}
Source6: rhdb-jonas.sysconfig
%endif

# Log rotation configuration for this default JOnAS service
Source7: jonas.logrotate
%if %{with_postgresql}
Source8: rhdb-jonas.logrotate
%endif

# Patch to adjust a standard jonasbase configuration to allow
# its use by Eclipse developers for debugging
Source9: jonas-%{major_version}-eclipse.patch

# Profile scripts for default JONAS_ROOT
Source10: jonas-profile.csh
Source11: jonas-profile.sh

%if %{with_rhaps}
# Red Hat specific
# RH Graphics
Source12: JonasAdmin-RHAPS.jpg
Source13: Welcome-RHAPS.jpg
%endif

%if %{with_tests}
# The corresponding JOnAS testsuite from ObjectWeb's CVS repository
%if %{?_with_snapshot:1}%{!?_with_snapshot:0}
Source14: %{name}_tests-%{version}-%{cvs_version}-src.tgz
%else
Source14: jonas_tests-%{version}-src.tgz
%endif
%endif

# Sample mod_jk configuration file
Source15: mod_jk-server.xml

# Patches

# Local modifications to JOnAS proper
# Currently NOT empty
# Backport fix from 4.6.4: Fix issue with JonasHandler invoked under heavy load
Patch0: jonas-%{version}.patch

# As the tomcat package has been split and now jasper and servlet are in
# their own packages (jasper 5 and servletapi5), we need to add them to
# some of the build classpath tags in the Ant clientbuild script.
# We also have to adjust some classpaths so that the jpackage installed
# jar files are used, and not the ones that are normally distributed with JOnAS
Patch3: jonas-%{major_version}-buildscripts.patch

%if %{with_postgresql}
# Setup PostgreSQL as the default data source jdbc_1
Patch6: jonas-%{major_version}-properties.patch
%endif

%if %{with_rhaps}
# Red Hat specific
# Customize strings
Patch7: jonas-%{major_version}-jadmin.patch
# Customize graphics
Patch8: jonas-%{major_version}-ctxroot.patch
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

#
# Build dependencies
# --------------------------------------------------------------------

# Generic build stuff
BuildRequires:  coreutils
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	java >= 0:1.4.2
BuildRequires:	java-devel >= 0:1.4.2
BuildRequires:	ant >= 0:1.6.2
BuildRequires:	ant-apache-bcel
BuildRequires:	ant-nodeps

# The bundled Tomcat
BuildRequires:	tomcat5 >= 0:5.5.12
BuildRequires:	tomcat5-admin-webapps
BuildRequires:	tomcat5-webapps
BuildRequires:  jasper5

# Objectweb components
BuildRequires:	asm >= 0:1.5.3
BuildRequires:	perseus-cache >= 0:1.5.2
BuildRequires:	carol >= 0:2.0.11
BuildRequires:	carol-irmi >= 0:1.0.1
BuildRequires:	perseus-concurrency >= 0:1.5.1
BuildRequires:	perseus-dependency >= 0:1.4
BuildRequires:	howl-logger >= 0:0.1.11
BuildRequires:	ishmael >= 0:0.1.9
BuildRequires:	jonathan-jeremie >= 0:4.2.2
BuildRequires:	jonathan-core >= 0:4.1
BuildRequires:	joram >= 0:4.3.8
BuildRequires:	joram-for-jonas >= 0:4.3.8
BuildRequires:	jorm >= 0:2.7
BuildRequires:	jotm >= 0:2.0.11
BuildRequires:	oldkilim >= 0:1.1.3
BuildRequires:	medor >= 0:1.6.1
BuildRequires:	medor-expression >= 0:1.6.1
BuildRequires:	monolog >= 0:2.0
BuildRequires:	perseus-persistence >= 0:1.5.0
BuildRequires:	perseus-pool >= 0:1.4.3
BuildRequires:	jorm-rdb-adapter >= 0:3.1
BuildRequires:	speedo-client >= 0:1.3.3
BuildRequires:	speedo-for-jonas >= 0:1.3.3

# J2EE APIs
# Note: jaf and javamail are not only APIs

# FIXME Require explicitly for geronimo-specs to ensure that the signatures match
# the ones in client.jar and avoid serialization problems.  We found out that
# different signatures from the ejb.jar from Sun and the one from geronimo-specs
# cause C_transaction testsuite errors (if iiop is not one of the protocols)

# Connector 1.5
BuildRequires:	geronimo-j2ee-connector-1.5-api
# EJB 2.1
BuildRequires:	geronimo-ejb-2.1-api
# J2EE_Deployment 1.1
BuildRequires:	geronimo-j2ee-deployment-1.1-api
# J2EE_Mgmt 1.0
BuildRequires:	geronimo-j2ee-management-1.0-api
# JACC 1.0
BuildRequires:	geronimo-jacc-1.0-api
# JAF 1.0.2
BuildRequires:  classpathx-jaf
# JMS 1.1
BuildRequires:	geronimo-jms-1.1-api
# JSP 2.0
# JSP comes with Tomcat 5
BuildRequires:  tomcat5-jsp-2.0-api
# JTA 1.0.1
BuildRequires:	geronimo-jta-1.0.1B-api
# JavaMail 1.3.1
BuildRequires:  classpathx-mail >= 0:1.1.1-2jpp_8rh
# Servlet 2.4
# Servlet comes with Tomcat 5
BuildRequires:	tomcat5-servlet-2.4-api
# JAXRPC 1.1
# We use the JAXRPC that comes with axis
#BuildRequires:	jaxrpc
# SAAJ 1.2
# We use the SAAJ that comes with axis
#BuildRequires:	saaj
# JAXR 1.0
BuildRequires: jaxr
# JWSDL 1.0
# JWSDL comes with WSDL4J
#BuildRequires:	 jwsdl
# JMX comes with MX4J
#BuildRequires:	 jmx

# Not a J2EE API
# The Sun API is stil at 1.x level so we use Apache JDO
BuildRequires:	apache-jdo-2.0-api

# Jakarta Commons mentioned in versions.properties
BuildRequires:  jakarta-commons-beanutils >= 0:1.7.0
BuildRequires:	jakarta-commons-collections >= 0:3.1
BuildRequires:  jakarta-commons-digester >= 0:1.7
# fileupload only used by jonasAdmin
BuildRequires:  jakarta-commons-fileupload >= 0:1.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.4
BuildRequires:	jakarta-commons-modeler >= 0:1.1
# discovery only used by Axis/EWS/WSS4J
BuildRequires:	jakarta-commons-discovery >= 0:0.3
# For the examples
BuildRequires:	jakarta-commons-validator >= 0:1.1.4
BuildRequires:	oro >= 0:2.0.8
# codec used by WSS4J
BuildRequires:	jakarta-commons-codec >= 0:1.3
BuildRequires:	concurrent >= 0:1.3.4

# Other packages mentioned in versions.properties
BuildRequires:	hsqldb >= 0:1.80.1
BuildRequires:	jacorb >= 2.2.2
# avalon is actually required by jacorb
BuildRequires:  avalon-framework >= 4.1.5
BuildRequires:  avalon-logkit >= 1.2
BuildRequires:	jgroups >= 0:2.2.7
# FIXME Has patch for java.naming.corba.orb
BuildRequires:	mx4j >= 1:3.0.1
BuildRequires:	p6spy >= 0:1.3
# Also from Jakarta
BuildRequires:	struts >= 0:1.2.7
BuildRequires:	velocity >= 0:1.4
# Our XDoclet contains ObjectWeb fixes for <jonas>
BuildRequires:	xdoclet >= 0:1.2.2
BuildRequires:	xjavadoc >= 0:1.0.3

# Web Services
BuildRequires:	axis >= 0:1.2.1
# EWS_MAPPER_1_1
BuildRequires:	ews-mapper >= 0:1.1
BuildRequires: xmlbeans >= 0:1.0.4
# We use Apache Scout for JAXR-RI 1.0_03
BuildRequires: ws-scout
BuildRequires:	wsdl4j >= 0:1.5.1
# juddi is actually 0.9rc4
BuildRequires:	juddi >= 0:0.9
BuildRequires:	juddi-webapps >= 0:0.9

# XML
BuildRequires:	xalan-j2 >= 0:2.6.0
BuildRequires:	xerces-j2 >= 0:2.7.1
BuildRequires:	xml-commons-apis >= 0:1.3.02

# Enterprise Media Bbeans (JSR86)
BuildRequires:  objectweb-emb >= 0:1.0.2
BuildRequires:  objectweb-emb-api >= 0:1.0.2

# WS-Security
BuildRequires:  wss4j >= 0:1.1.0
BuildRequires:  opensaml >= 0:1.0.1
BuildRequires:  ws-fx-addressing >= 0:1.0
BuildRequires:  xml-security >= 0:1.2.1

# WS-Addressing
BuildRequires:  ws-fx-addressing >= 0:1.0

# Miscellaneous

# Things used by jonasAdmin (needed at build time)
BuildRequires:  wsabi4j2ee-api

# Faster rmic replacement
BuildRequires: fastrmic

# --------------------------------------------------------------------
# End Build dependencies
#

#
# Execution dependencies
# --------------------------------------------------------------------

# Installation stuff
Requires:  	jpackage-utils >= 0:1.6
Requires:	/usr/sbin/useradd, /usr/sbin/groupadd, /sbin/chkconfig

# Generic execution
Requires:	java >= 0:1.4.2
Requires:	java-devel >= 0:1.4.2

# Dynamic compilation
Requires:	ant >= 0:1.6.2
Requires:	bcel >= 0:5.1

# To make it a complete J2EE AppServer
PreReq: jonas-client = %{version}

# For the bundled Tomcat
Requires:  tomcat5-server-lib >= 0:5.5.12
Requires:  tomcat5-common-lib >= 0:5.5.12

# Objectweb components
Requires:	asm >= 0:1.5.3
Requires:	perseus-cache >= 0:1.5.2
Requires:	carol >= 0:2.0.11
Requires:	carol-irmi >= 0:1.0.1
Requires:	perseus-concurrency >= 0:1.5.1
Requires:	perseus-dependency >= 0:1.4
Requires:	howl-logger >= 0:0.1.11
Requires:	ishmael >= 0:0.1.9
Requires:	jonathan-jeremie >= 0:4.2.2
Requires:	jonathan-core >= 0:4.1
Requires:	joram >= 0:4.3.8
Requires:	joram-for-jonas >= 0:4.3.8
Requires:	jorm >= 0:2.7
Requires:	jotm >= 0:2.0.11
Requires:	oldkilim >= 0:1.1.3
Requires:	medor >= 0:1.6.1
Requires:	medor-expression >= 0:1.6.1
Requires:	monolog >= 0:2.0
Requires:	perseus-persistence >= 0:1.5.0
Requires:	perseus-pool >= 0:1.4.3
Requires:	jorm-rdb-adapter >= 0:3.1
Requires:	speedo-client >= 0:1.3.3
Requires:	speedo-for-jonas >= 0:1.3.3

# J2EE APIs
# Note: jaf and javamail are not only APIs

# FIXME Require explicitly for geronimo-specs to ensure that the signatures match
# the ones in client.jar and avoid serialization problems.  We found out that
# different signatures from the ejb.jar from Sun and the one from geronimo-specs
# cause C_transaction testsuite errors (if iiop is not one of the protocols)

# Connector 1.5
Requires:	geronimo-j2ee-connector-1.5-api
# EJB 2.1
Requires:	geronimo-ejb-2.1-api
# J2EE_Deployment 1.1
Requires:	geronimo-j2ee-deployment-1.1-api
# J2EE_Mgmt 1.0
Requires:	geronimo-j2ee-management-1.0-api
# JACC 1.0
Requires:	geronimo-jacc-1.0-api
# JAF 1.0.2
Requires:       classpathx-jaf
# JMS 1.1
Requires:	geronimo-jms-1.1-api
# JSP 2.0
# JSP comes with Tomcat
Requires:	tomcat5-jsp-2.0-api
# JTA 1.0.1
Requires:	geronimo-jta-1.0.1B-api
# JavaMail 1.3.1
# Implements JavaMail 1.3.1
Requires:       classpathx-mail >= 1.1.1-2jpp_8rh
# Servlet 2.4
# Servlet comes with Tomcat 5
Requires:	tomcat5-servlet-2.4-api
# JAXRPC 1.1
# We use the JAXRPC that comes with axis
#Requires:	jaxrpc
# SAAJ 1.2
# We use the SAAJ that comes with axis
#Requires:	saaj
# JAXR 1.0
Requires:	jaxr
# JWSDL 1.0
# WSDL comes with WSDL4J
#Requires:	jwsdl
# JMX comes with MX4J
#Requires:	jmx

# Not a J2EE API
# The Sun API is stil at 1.x level so we use Apache JDO
Requires:	apache-jdo-2.0-api

# Jakarta Commons mentioned in versions.properties
Requires:  	jakarta-commons-beanutils >= 0:1.7.0
Requires:	jakarta-commons-collections >= 0:3.1
Requires:  	jakarta-commons-digester >= 0:1.7
Requires:  	jakarta-commons-fileupload >= 0:1.0
Requires:	jakarta-commons-logging >= 0:1.0.4
Requires:	jakarta-commons-modeler >= 0:1.1
Requires:	jakarta-commons-discovery >= 0:0.3
# For the examples
Requires:	jakarta-commons-validator >= 0:1.1.4
Requires:	oro >= 0:2.0.8
Requires:	jakarta-commons-codec >= 0:1.3
Requires:	concurrent >= 0:1.3.4

# Other packages mentioned in versions.properties
Requires:	hsqldb >= 0:1.80.1
Requires:	jacorb >= 2.2.2
# avalon is actually required by jacorb
Requires:  avalon-framework >= 4.1.5
Requires:  avalon-logkit >= 1.2
Requires:	jgroups >= 0:2.2.7
# FIXME MX4J has patch
Requires:	mx4j >= 1:3.0.1
Requires:	p6spy >= 0:1.3
# Also from Jakarta
Requires:	struts >= 0:1.2.7
Requires:	velocity >= 0:1.4
Requires:	xdoclet >= 0:1.2.2
Requires:	xjavadoc >= 0:1.0.3

# Web Services
Requires:	axis >= 0:1.2.1
# EWS_MAPPER_1_1
Requires:	ews-mapper >= 0:1.1
Requires:	xmlbeans >= 0:1.0.4
# We use Apache Scout for JAXR-RI 1.0_03
Requires: ws-scout
Requires:	wsdl4j >= 0:1.5.1
Requires:	juddi >= 0:0.9
Requires:	juddi-webapps >= 0:0.9

# XML
Requires:	xalan-j2 >= 0:2.6.0
Requires:	xerces-j2 >= 0:2.7.1
Requires:	xml-commons-apis >= 0:1.3.02

# Enterprise Media Bbeans (JSR86)
Requires:  objectweb-emb >= 0:1.0.2
Requires:  objectweb-emb-api >= 0:1.0.2

# WS-Security
Requires:  wss4j >= 0:1.1.0
Requires:  opensaml >= 0:1.0.1
Requires:  ws-fx-addressing >= 0:1.0
Requires:  xml-security >= 0:1.2.1

# WS-Addressing
Requires:  ws-fx-addressing >= 0:1.0

# Miscellaneous

# Faster rmic replacement
Requires: fastrmic

%if %{with_postgresql}
Requires: postgresql >= 7.3.4
Requires: postgresql-server >= 7.3.4
Requires: postgresql-jdbc >= 7.3.4
%endif

# --------------------------------------------------------------------
# End Execution dependencies
#

%description
The jonas package contains ObjectWeb's J2EE implementation.
Install this package if you wish to run a Java enterprise
web application server.  It includes its own copy of Apache
Tomcat and web-based administration interfaces.

%package -n jonas-client
Summary: JOnAS files necessary for running rich clients
Group: Applications/Internet
Obsoletes: jonas-jars

%description -n jonas-client
The jonas-client package contains, among other things, a big jar file,
client.jar, and a shell script jclient.sh that make possible to run
"rich" clients. Install this on a machine that does not have the jonas
server to be able to run this type of applications remotely.

%package -n jonas-docs
Summary: JOnAS (and Tomcat) documentation
Group: Applications/Internet
# These are webapps type of docs; nornal docs are in the main package
Requires: jonas = %{version}
PreReq: jonas-client = %{version}

%description -n jonas-docs
The jonas-docs package contains web application versions
of the JOnAS User Guide and of the tomcat documentation.

%package -n jonas-examples
Summary: JOnAS example applications
Group: Applications/Internet
BuildRequires: ant-apache-bcel
BuildRequires: ant-nodeps
Requires: jonas = %{version}
PreReq: jonas-client = %{version}

%description -n jonas-examples
The jonas-examples package contains example web applications.

%if %{with_tests}
%package -n jonas-tests
Summary: JOnAS regression tests
Group: Applications/Internet
BuildRequires: junit
Requires: jonas = %{version}
PreReq: jonas-client = %{version}
Requires: ant-junit
Requires: httpunit
Requires: xmlunit
Requires: nekohtml
Requires: rhino

%description -n jonas-tests
The jonas-tests package contains regression tests used in JOnAS development
%endif

# -----------------------------------------------------------------------------

# -----------------------------------------
# RPM Build preparation (1)
# -----------------------------------------
%prep

# Clean existing builds
rm -rf  $RPM_BUILD_DIR/%{name}*

%setup -q -n %{name}

# Apply patches needed for building
# ------------------------------------------

# patch jonas
%patch0

# patch the jonas Ant build scripts
%patch3

%if %{with_postgresql}
# patch data source configuration for jdbc_1
%patch6
rm -f src/conf/jonas.properties.orig
%endif

%if %{with_rhaps}
# Red Hat specific
# patch jonasAdmin
%patch7
# patch Welcome page
%patch8

# Red Hat specific
# Replace jonasAdmin graphics
cp %{SOURCE12} src/org/objectweb/jonas/webapp/jonasadmin/web/images/logo/JonasAdmin.jpg
# Replace Welcome page graphics
cp %{SOURCE13} src/org/objectweb/jonas/webapp/ctxroot/default/JonasAdmin.jpg

# Red Hat specific
# Replace OW doc files with Red Hat version of the JOnAS User Guide
rm -f doc/jonas-doc-en.war
mkdir -p doc/JonasUsersGuide/WEB-INF
cp %{SOURCE3} doc/JonasUsersGuide/WEB-INF/web.xml
pushd doc/JonasUsersGuide
tar -xzf %{SOURCE2}
jar cf ../jonas-doc-en.war .
popd
rm -rf doc/JonasUsersGuide/WEB-INF
%endif

# Link preparation (dependencies)
# Includes all jars already existing as rpms
# ------------------------------------------

# J2EE apis
pushd $RPM_BUILD_DIR/%{name}/externals/commons/j2ee
	find . -name "gnu-jaf*.jar" -exec rm -f {} \;
	build-jar-repository . activation
	find . -name "ejb*.jar" -exec rm -f {} \;
	build-jar-repository . geronimo-ejb-2.1-api
	find . -name "jms*.jar" -exec rm -f {} \;
	build-jar-repository . geronimo-jms-1.1-api
	# JSP comes with servletapi from Tomcat 5
	find . -name "jsp*.jar" -exec rm -f {} \;
# FIXME The MANIFEST.MF in Bootstrap.jar has a Class-Path
# that specifies the exact name jsp-2_0.jar
#	build-jar-repository . jspapi
        ln -sf %{_javadir}/jspapi.jar jsp-2_0.jar
	find . -name "jta*.jar" -exec rm -f {} \;
	build-jar-repository . geronimo-jta-1.0.1B-api
	find . -name "gnu-mail*.jar" -exec rm -f {} \;
	find . -name "gnu-providers*.jar" -exec rm -f {} \;
	build-jar-repository . classpathx-mail/imap classpathx-mail/mailapi classpathx-mail/pop3 classpathx-mail/smtp
	find . -name "servlet*.jar" -exec rm -f {} \;
# FIXME The MANIFEST.MF in Bootstrap.jar has a Class-Path
# that specifies the exact name servlet-2_4.jar
#	build-jar-repository . servletapi5
        ln -sf %{_javadir}/servletapi5.jar servlet-2_4.jar
	find . -name "wsdl4j*.jar" -exec rm -f {} \;
	build-jar-repository . wsdl4j
	find . -name "connector*.jar" -exec rm -f {} \;
	build-jar-repository . geronimo-j2ee-connector-1.5-api
	find . -name "javax77*.jar" -exec rm -f {} \;
	build-jar-repository . geronimo-j2ee-management-1.0-api
	find . -name "jsr88*.jar" -exec rm -f {} \;
	build-jar-repository . geronimo-j2ee-deployment-1.1-api
	find . -name "jaxrpc*.jar" -exec rm -f {} \;
	build-jar-repository . axis/jaxrpc
	find . -name "saaj*.jar" -exec rm -f {} \;
	build-jar-repository . axis/saaj
# FIXME Use geronimo-specs jaxr-api from M4 or the one from Scout?
	find . -name "jaxr-api*.jar" -exec rm -f {} \;
	build-jar-repository . ws-scout/jaxr-api
	find . -name "jacc*.jar" -exec rm -f {} \;
# FIXME The MANIFEST.MF in Bootstrap.jar has a Class-Path
# that specifies the exact name jacc-1_0.jar
#	build-jar-repository . geronimo-jacc-1.0-api
        ln -sf `build-classpath jacc` jacc-1_0.jar
        find . -name "emb*.jar" -exec rm -f {} \;
        build-jar-repository . objectweb-emb/api/emb-jsr86-api
popd

# We now use mx4j instead of JMX
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/mx4j
	find . -name "mx4j*.jar" \
              -exec rm -f {} \;
	build-jar-repository . mx4j/mx4j mx4j/mx4j-remote
popd
# ----------------------------------------------------
#

pushd $RPM_BUILD_DIR/%{name}/externals
	find . -mindepth 1 -maxdepth 1 \
               -name "*.jar" \
               -exec rm -f {} \;
	build-jar-repository . ishmael
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas
	find . -mindepth 1 -maxdepth 1 \
               -name "*.jar" \
               -exec rm -f {} \;
	build-jar-repository . p6spy howl-logger jotm hsqldb concurrent
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/asm
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . asm/asm asm/asm-analysis asm/asm-attrs asm/asm-tree asm/asm-util asm/asm-xml asm/kasm
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/emb
	find . -name "*.?ar" -exec rm -f {} \;
        ln -sf %{_javadir}/objectweb-emb/emb-core.ear emb-core.ear
        build-jar-repository . objectweb-emb/api/emb-ow-mfb-core
        build-jar-repository . objectweb-emb/api/emb-ow-plugins-api
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/perseus
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . perseus/ow_perseus_cache perseus/ow_perseus_concurrency perseus/ow_perseus_dependency perseus/ow_perseus_persistence perseus/ow_perseus_pool
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/carol
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jgroups carol/ow_carol carol/ow_carol_cmi ow_carol_irmi
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jeremie
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jonathan-core jonathan-jeremie oldkilim nanoxml-lite
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/joram
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . regexp java_cup java_cup-runtime joram/client joram/connector  joram/mom joram/shared
	find . -name "*.rar" -exec rm -f {} \;
        ln -sf %{_javadir}/joram/rars/joram_for_jonas_ra.rar joram_for_jonas_ra.rar
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jorm
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jorm/ow_jorm_rdb_adapter jorm/ow_jorm_api jorm/ow_jorm_core jorm/ow_jorm_runtime
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/medor
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . medor/ow_medor_exp medor/ow_medor medor/ow_medor_clone
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/monolog
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . monolog/ow_util_log_helper monolog/ow_util_log_api monolog/ow_util_log_wrp_p6spy monolog/ow_util_log_file monolog/ow_util_log_wrp_log4j monolog/ow_util_log_wrp_javalog monolog/ow_util_log_wrp_pw monolog/ow_util_log_wrp_common
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/speedo
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jdo2 speedo/speedo_client speedo/speedo_for_jonas_ra
	ln -sf %{_javadir}/speedo/rars/speedo_for_jonas_ra.rar speedo_for_jonas_ra.rar
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/ws-security
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . addressing opensaml xml-security wss4j
popd

# Jakarta libs
# -----------------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-beanutils*.jar" -exec rm -f {} \;
	build-jar-repository . commons-beanutils
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-codec*.jar" -exec rm -f {} \;
	build-jar-repository . commons-codec
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-collections*.jar" -exec rm -f {} \;
	build-jar-repository . commons-collections
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-discovery*.jar" -exec rm -f {} \;
	build-jar-repository . commons-discovery
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-logging-api*.jar" -exec rm -f {} \;
	build-jar-repository . commons-logging-api
popd
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/jakarta-commons
	find . -name "commons-modeler*.jar" -exec rm -f {} \;
	build-jar-repository . commons-modeler
popd
pushd $RPM_BUILD_DIR/%{name}/externals/tools
	find . -name "*.jar" \
               -exec rm -f {} \;
	# externals/tools/velocity-dep-1.4.jar includes also
	# commons-collections, avalon-logkit and oro
        # collections is in commons;  logkit is in endorsed
	build-jar-repository . commons-digester axis/axis-ant monolog/ow_util_log_wrp_velo velocity oro ews-mapper ow_fastrmic jorm/ow_jorm_compiler xmlbeans
popd

pushd $RPM_BUILD_DIR/%{name}/externals/scout-ra
	find . -name "*.jar" -exec rm -f {} \;
# Doesn't make sense using the brackets here as this goes inside a RAR file
	build-jar-repository -s -p . juddi
	build-jar-repository -s -p . ws-scout/scout
popd

pushd $RPM_BUILD_DIR/%{name}/externals/jonasAdmin
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-fileupload wsabi4j2ee-core wsabi4j2ee-jonas
# FIXME Someone is getting confused with the brackets in the war
# so we are temporarely removing the brackets
	build-jar-repository -s -p . struts
popd

# Endorsed Libraries
# ------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/endorsed
	find . -name "*.jar" -exec rm -f {} \;
# Xalan and sasl not needed at build time
	build-jar-repository . xerces-j2 xml-commons-apis avalon-framework avalon-logkit jacorb/idl.jar jacorb/jacorb.jar carol/ow_carol_iiop_delegate
popd
# ------------------------------------------------------
#

# FIXME Modify examples using oro to get it from tools
pushd $RPM_BUILD_DIR/%{name}/externals/examples
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-fileupload
	build-jar-repository . commons-validator
	build-jar-repository . oro
	build-jar-repository . xdoclet/xdoclet xdoclet/xdoclet-apache-module xdoclet/xdoclet-ejb-module xdoclet/xdoclet-exolab-module xdoclet/xdoclet-web-module xdoclet/xdoclet-objectweb-module
	build-jar-repository . xjavadoc
popd
# FIXME Modify hibernate example to use files from externals/examples
pushd $RPM_BUILD_DIR/%{name}/examples/hibernate/lib
	find . -name "*.jar" -exec rm -f {} \;
# FIXME Add links to hibernate and all these dependencies
# (only the ones not already available in JOnAS)
#	build-jar-repository . cglib-nodep proxool antlr commons-collections jaxen commons-logging c3p0 swarmcache hibernate3 ant-antlr oscache dom4j versioncheck concurrent ehcache cglib
popd
# ------------------------------------------------------
#

# Web Services libraries
# ------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/axis
	find . -name "axis*.jar" -exec rm -f {} \;
	build-jar-repository . axis/axis
popd
# ------------------------------------------------------
#

# JUDDI
# ------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/webapps
	ln -sf %{_javadir}/juddi/juddi.war juddi.war
popd
# ------------------------------------------------------
#

#Check if we were successiful in cleaning up binary files
# ------------------------------------------------------
find . -name '*.?ar' -not -type l -print > BINARYFILES
echo "WARNING: Binary files not replaced by links!"
cat BINARYFILES
echo "---"
# ------------------------------------------------------
#

# ------------------------------------------
# Build JOnAS from sources (no IIOP version)
# ------------------------------------------
%build

# Try to set a sensible jvm
JAVA_HOME=
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export PATH="$JAVA_HOME/bin:$PATH"
export JONAS_ROOT="../jonasroot"
export CATALINA_HOME="/usr/share/tomcat5"

export OPT_JAR_LIST="ant/ant-nodeps ant/ant-apache-bcel bcel"
# Build JOnAS
export ANT_OPTS=-Xmx512M
ant install_tomcat

# create a jonasbase for Eclipse development
pushd ../jonasroot/eclipseserver
patch -p0 < %{SOURCE9}
popd

%if %{with_tests}
# expand the jonas_tests
pushd ../jonasroot
tar xzf %{SOURCE14}
# build the conformance tests
cd jonas_tests/conformance
export JONAS_ROOT="../../../jonasroot"
export CLASSPATH=../../lib/common/ow_jonas_ant.jar:%(build-classpath xalan-j2 junit bcel)

ant

popd
%endif

# ------------------------------------------
# Install JOnAS
# ------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

# Copy JONAS.README.RPM
cp %{SOURCE1} .

# Copy the mod_jk sample config file
cp %{SOURCE15} ../jonasroot/conf

# Create directories
# -----------------------------------------------------------------------------
# Create /usr/share/jonas
install -d -m 755  $RPM_BUILD_ROOT%{jonasrootdir}/{bin,examples,templates,xml}
# Create /var/log/jonas
install -d -m 755  $RPM_BUILD_ROOT%{logsdir}
# Create /etc/jonas
install -d -m 755  $RPM_BUILD_ROOT%{confdir}
# Create /var/cache/jonas/work
install -d -m 755  $RPM_BUILD_ROOT%{workdir}
# Create /var/lib/jonas
install -d -m 755  $RPM_BUILD_ROOT/{%{webappsdir},%{ejbjarsdir},%{clientsdir}}
install -d -m 755  $RPM_BUILD_ROOT/{%{rarsdir},%{_bindir},%{appsdir}}
install -d -m 755  $RPM_BUILD_ROOT%{libdir}
install -d -m 755  $RPM_BUILD_ROOT%{demodir}
install -d -m 755  $RPM_BUILD_ROOT%{eclipsedir}
%if %{with_tests}
install -d -m 755  $RPM_BUILD_ROOT%{jonastestsdir}
%endif
# -----------------------------------------------------------------------

# place files into directories
cp -a ../jonasroot/conf/* $RPM_BUILD_ROOT%{confdir}
cp -a ../jonasroot/logs/README $RPM_BUILD_ROOT%{logsdir}
cp -a ../jonasroot/apps/* $RPM_BUILD_ROOT%{appsdir}
cp -a ../jonasroot/webapps/* $RPM_BUILD_ROOT%{webappsdir}
cp -a ../jonasroot/ejbjars/* $RPM_BUILD_ROOT%{ejbjarsdir}
cp -a ../jonasroot/clients/* $RPM_BUILD_ROOT%{clientsdir}
cp -a ../jonasroot/rars/* $RPM_BUILD_ROOT%{rarsdir}
cp -a ../jonasroot/demoserver/* $RPM_BUILD_ROOT%{demodir}
cp -a ../jonasroot/eclipseserver/* $RPM_BUILD_ROOT%{eclipsedir}
%if %{with_tests}
cp -a ../jonasroot/jonas_tests/* $RPM_BUILD_ROOT%{jonastestsdir}
%endif

cp ../jonasroot/build.xml $RPM_BUILD_ROOT%{jonasrootdir}
cp ../jonasroot/{LicenceAgreement.txt,ReleaseNotes.txt} $RPM_BUILD_ROOT%{jonasrootdir}
cp -a ../jonasroot/bin/* $RPM_BUILD_ROOT%{jonasrootdir}/bin
cp -a ../jonasroot/examples/* $RPM_BUILD_ROOT%{jonasrootdir}/examples
cp -a ../jonasroot/templates/* $RPM_BUILD_ROOT%{jonasrootdir}/templates
cp -a ../jonasroot/xml/* $RPM_BUILD_ROOT%{jonasrootdir}/xml
cp -a ../jonasroot/lib/* $RPM_BUILD_ROOT%{libdir}

# Fix problem created by typo in some older specfiles
cp ../jonasroot/rars/scout_for_jonas_ra.rar \
   $RPM_BUILD_ROOT%{libdir}/commons/j2ee/scout_for_jonas_ra.rar

# Create symbolic links
ln -sf %{confdir} $RPM_BUILD_ROOT%{jonasrootdir}/conf
ln -sf %{logsdir} $RPM_BUILD_ROOT%{jonasrootdir}/logs
ln -sf %{appsdir} $RPM_BUILD_ROOT%{jonasrootdir}/apps
ln -sf %{webappsdir} $RPM_BUILD_ROOT%{jonasrootdir}/webapps
ln -sf %{ejbjarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/ejbjars
ln -sf %{clientsdir} $RPM_BUILD_ROOT%{jonasrootdir}/clients
ln -sf %{rarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/rars
ln -sf %{workdir} $RPM_BUILD_ROOT%{jonasrootdir}/work
ln -sf %{libdir} $RPM_BUILD_ROOT%{jonasrootdir}/lib
%if %{with_tests}
ln -sf %{jonastestsdir} $RPM_BUILD_ROOT%{jonasrootdir}/jonas_tests
%endif

# Remove jars resolved from dependencies
# ------------------------------------------------

pushd $RPM_BUILD_ROOT%{libdir}/commons/j2ee
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}
	find . -mindepth 1 -maxdepth 1 \
               -name "*.jar" \
               -not -name "client*" \
               -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas
	find . -mindepth 1 -maxdepth 1 \
               -name "*.jar" \
               -not -name "ow_jonas*" \
               -exec rm -f {} \;
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/asm
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_DIR/%{name}/externals/commons/jonas/emb
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram
	find . -name "*.?ar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo
	find . -name "*.?ar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/ws-security
	find . -name "*.?ar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons
	find . -name "*.jar" -exec rm -f {} \;
popd

# We now use mx4j instead of JMX
pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/mx4j
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/commons/jonas/axis
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/endorsed
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/tools
	find . -name "*.jar" \
               -not -name "ow_jonas*.jar" \
               -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/examples
	find . -name "*.jar" -exec rm -f {} \;
popd

# Try to set a sensible jvm
JAVA_HOME=
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java

# Manage RPM dependencies
# -------------------------------------------------------------
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	activation
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-ejb-2.1-api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-j2ee-connector-1.5-api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-j2ee-deployment-1.1-api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-j2ee-management-1.0-api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-jms-1.1-api
# FIXME The MANIFEST.MF in Bootstrap.jar has a Class-Path
# that specifies the exact name jsp-2_0.jar
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	jspapi
ln -sf %{_javadir}/jspapi.jar $RPM_BUILD_ROOT%{libdir}/commons/j2ee/jsp-2_0.jar
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-jta-1.0.1B-api
# FIXME The MANIFEST.MF in Bootstrap.jar has a Class-Path
# that specifies the exact name jacc-1_0.jar
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	geronimo-jacc-1.0-api
ln -sf %{_javadir}/geronimo-jacc-1.0-api.jar $RPM_BUILD_ROOT%{libdir}/commons/j2ee/jacc-1_0.jar
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	classpathx-mail/imap
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	classpathx-mail/mailapi
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	classpathx-mail/pop3
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	classpathx-mail/smtp
# FIXME The MANIFEST.MF in Bootstrap.jar has a Class-Path
# that specifies the exact name servlet-2_4.jar
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	servletapi5
ln -sf %{_javadir}/servletapi5.jar $RPM_BUILD_ROOT%{libdir}/commons/j2ee/servlet-2_4.jar
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	axis/jaxrpc
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	axis/saaj
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	wsdl4j
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee	ws-scout/jaxr-api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/j2ee      objectweb-emb/api/emb-jsr86-api


# We now use mx4j instead of JMX
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/mx4j	mx4j/mx4j
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/mx4j	mx4j/mx4j-remote

# The jar file is searched by name somewhere and is not found if the
# link has brackets
build-jar-repository -s -p $RPM_BUILD_ROOT%{libdir}		ishmael

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	howl-logger
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	hsqldb
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	jotm
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	p6spy
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas	concurrent

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/asm
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/asm-analysis
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/asm-attrs
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/asm-tree
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/asm-util
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/asm-xml
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/asm asm/kasm

ln -sf %{_javadir}/objectweb-emb/emb-core.ear $RPM_BUILD_ROOT%{libdir}/commons/jonas/emb/emb-core.ear
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/emb objectweb-emb/api/emb-ow-mfb-core
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/emb objectweb-emb/api/emb-ow-plugins-api

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_cache
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_concurrency
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_dependency
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_persistence
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/perseus 	perseus/ow_perseus_pool

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol 	jgroups
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol 	carol/ow_carol
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol 	carol/ow_carol_cmi
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/carol 	ow_carol_irmi

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	jonathan-core
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	jonathan-jeremie
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	oldkilim
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jeremie	nanoxml-lite

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	regexp
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	java_cup
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	java_cup-runtime
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/client
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/connector
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/mom
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram	joram/shared
ln -sf %{_javadir}/joram/rars/joram_for_jonas_ra.rar $RPM_BUILD_ROOT%{libdir}/commons/jonas/joram/joram_for_jonas_ra.rar

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_rdb_adapter
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_core
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jorm	jorm/ow_jorm_runtime

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor	medor/ow_medor_exp
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor	medor/ow_medor
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/medor	medor/ow_medor_clone

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_helper
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_api
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_file
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_p6spy
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_log4j
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_javalog
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_pw
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/monolog	monolog/ow_util_log_wrp_common

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo	jdo2
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo	speedo/speedo_client
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo	speedo/speedo_for_jonas_ra
ln -sf %{_javadir}/speedo/rars/speedo_for_jonas_ra.rar $RPM_BUILD_ROOT%{libdir}/commons/jonas/speedo/speedo_for_jonas_ra.rar

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/ws-security addressing
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/ws-security opensaml
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/ws-security xml-security
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/ws-security wss4j


build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/axis 	axis/axis

build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-beanutils
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-codec
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-collections
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-discovery
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-logging
build-jar-repository $RPM_BUILD_ROOT%{libdir}/commons/jonas/jakarta-commons	commons-modeler

build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		xerces-j2
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		xml-commons-apis
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		xalan-j2
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		sasl
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		avalon-framework
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		avalon-logkit
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		carol/ow_carol_iiop_delegate
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		jacorb/jacorb.jar
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed		jacorb/idl.jar

build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		commons-fileupload
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		commons-validator
# FIXME Someone is getting confused with the brackets in the war
build-jar-repository -s -p $RPM_BUILD_ROOT%{libdir}/examples	struts
# FIXME Modify examples using oro to get it from tools
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		oro
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-apache-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-ejb-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-exolab-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-web-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xdoclet/xdoclet-objectweb-module
build-jar-repository $RPM_BUILD_ROOT%{libdir}/examples		xjavadoc

# externals/tools/velocity-dep-1.4.jar includes also
# commons-collections, avalon-logkit and oro
# collections is in commons; logkit is in endorsed
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		velocity
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		oro
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		commons-digester
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		axis/axis-ant
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		monolog/ow_util_log_wrp_velo
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		ews-mapper
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		ow_fastrmic
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		jorm/ow_jorm_compiler
build-jar-repository $RPM_BUILD_ROOT%{libdir}/tools		xmlbeans

ln -sf %{_javadir}/juddi/juddi.war $RPM_BUILD_ROOT%{webappsdir}/juddi.war


# -----------------------------------------------------------------------
# End links

# install jonas scripts in bin directory
ln -sf %{jonasrootdir}/bin/unix/jclient $RPM_BUILD_ROOT%{_bindir}/jclient
ln -sf %{jonasrootdir}/bin/unix/jonas $RPM_BUILD_ROOT%{_bindir}/jonas
ln -sf %{jonasrootdir}/bin/unix/newbean $RPM_BUILD_ROOT%{_bindir}/newbean
ln -sf %{jonasrootdir}/bin/unix/registry $RPM_BUILD_ROOT%{_bindir}/registry
ln -sf %{jonasrootdir}/bin/unix/JmsServer $RPM_BUILD_ROOT%{_bindir}/JmsServer
ln -sf %{jonasrootdir}/bin/unix/RAConfig $RPM_BUILD_ROOT%{_bindir}/RAConfig
ln -sf %{jonasrootdir}/bin/unix/WsGen $RPM_BUILD_ROOT%{_bindir}/WsGen
ln -sf %{jonasrootdir}/bin/unix/GenIC $RPM_BUILD_ROOT%{_bindir}/GenIC
ln -sf %{jonasrootdir}/bin/unix/jboss2jonas $RPM_BUILD_ROOT%{_bindir}/jboss2jonas

# SysV init scripts and logrotate configuration
install -D -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/jonas
%if %{with_postgresql}
# We just link to the standard postgresql script, which should be unaltered
# (configuration is done by setting variables in /etc/sysconfig/pgsql)
#install -D -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/rhdb-jonas
pushd $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -sf postgresql rhdb-jonas
popd
%endif
install -D -m 744 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/jonas
%if %{with_postgresql}
install -D -m 744 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/pgsql/rhdb-jonas
%endif
install -D -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/jonas
%if %{with_postgresql}
install -D -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/logrotate.d/rhdb-jonas
%endif
install -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/profile.d/jonas.csh
install -D -m 644 %{SOURCE11} $RPM_BUILD_ROOT/etc/profile.d/jonas.sh
%if %{with_postgresql}
# PostgreSQL Database (jdbc_1)
mkdir -p $RPM_BUILD_ROOT%{jonasrootdir}/pgsql
%endif

# -----------------------------------------------------------------------------


# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT


# Fix problem created by typo in some older specfiles
%triggerpostun -- jonas < 0:4.6.3
cp %{libdir}/commons/j2ee/scout_for_jonas_ra.rar %{rarsdir}/scout_for_jonas_ra.rar
cp %{libdir}/commons/jonas/speedo/speedo_for_jonas_ra.rar %{rarsdir}/speedo_for_jonas_ra.rar


# --------------------------------------
# Prepare the installation of JOnAS
# --------------------------------------
%pre

# Stop the service if it is running
# Do it here for update
if [ $1 = 2 ]; then
   service jonas stop >/dev/null 2>&1
   # clean the return code in case the service was not running already
   ls >/dev/null
fi

# Remove work files and expanded ones that may be incompatible
# with a new version.
[ -d %{workdir} ] && find %{workdir} -mindepth 1 -maxdepth 1 \
		   -name "*" \
		   -exec rm -fr {} \;

[ -d %{webappsdir} ] && find %{webappsdir} -mindepth 1 -maxdepth 1 \
		   -name "*" \
		   -not -name "autoload" \
		   -not -name "*.war" \
		   -exec rm -fr {} \;

[ -d %{appsdir} ] && find %{appsdir} -mindepth 1 -maxdepth 1 \
		-name "*" \
		-not -name "autoload" \
		-not -name "README" \
		-not -name "*.ear" \
		-exec rm -fr {} \;

[ -d %{rarsdir} ] && find %{rarsdir} -mindepth 1 -maxdepth 1 \
		-name "*" \
		-not -name "autoload" \
		-not -name "README" \
		-not -name "*.rar" \
		-exec rm -fr {} \;
                                                                                
# clean the return code in case the directories were not there yet
ls >/dev/null

%pre -n jonas-client

# Create a jonas group and account if needed
JONAS_SHELL=/bin/false
[ -x /sbin/nologin ] && JONAS_SHELL=/sbin/nologin
/usr/sbin/groupadd -r jonas 2>/dev/null || :
/usr/sbin/useradd -c Jonas -r -s $JONAS_SHELL -d %{jonasrootdir} -g jonas jonas 2>/dev/null || :

%if %{with_postgresql}
%pre -n jonas-examples

# Stop the service if it is running
# Do it here for update
   if [ $1 = 2 ]; then
   service rhdb-jonas stop >/dev/null 2>&1
   # clean return code in case the service was not running already
   ls >/dev/null
fi
%endif

# ----------------------------------------
# Prepare the uninstallation of JOnAS
# ----------------------------------------
%preun

# last uninstall (delete)
if [ $1 = 0 ]; then
   # Stop the service if it is running
   service jonas stop >/dev/null 2>&1

   /sbin/chkconfig --del jonas
fi

%if %{with_postgresql}
%preun -n jonas-examples

# last uninstall (delete)
if [ $1 = 0 ]; then
    # Stop the service if it is running
    service rhdb-jonas stop >/dev/null 2>&1

   /sbin/chkconfig --del rhdb-jonas
fi
%endif

# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%post
# first install
if [ $1 = 1 ]; then
   /sbin/chkconfig --add jonas
fi

# Remove deprecated directories
rm -fr %{libdir}/common/acme
rm -fr %{libdir}/common/carol
rm -fr %{libdir}/common/connector
rm -fr %{libdir}/common/j2ee
rm -fr %{libdir}/common/jakarta
rm -fr %{libdir}/common/jdo
rm -fr %{libdir}/common/jmx
rm -fr %{libdir}/common/joram
rm -fr %{libdir}/common/jorm
rm -fr %{libdir}/common/log
rm -fr %{libdir}/common/medor
rm -fr %{libdir}/common/p6spy
rm -fr %{libdir}/common/speedo
rm -fr %{libdir}/common/velocity
rm -fr %{libdir}/common/ws
rm -fr %{libdir}/common/xml

%if %{with_tests}
%post -n jonas-tests
  # create the resources for jdbcra testsuite
  su - jonas -s /bin/sh -c "cd %{rarsdir}/autoload/; . %{jonasrootdir}/bin/unix/RAConfig -j jdbc_xa1 -dm -p %{confdir}/PostgreSQL1 %{rarsdir}/autoload/JOnAS_jdbcDM PostgreSQLXA1_DM; . %{jonasrootdir}/bin/unix/RAConfig -j jdbc_xa2 -dm -p %{confdir}/PostgreSQL1 %{rarsdir}/autoload/JOnAS_jdbcDM PostgreSQLXA2_DM"

%endif

%if %{with_postgresql}
%post -n jonas-examples
DB=/usr/share/jonas/pgsql
# first install
if [ $1 = 1 ] && [ ! -d $DB/base ]; then
   unset PGHOST PGPORT PGUSER PGDATABASE
   LANG=C
   # For SELinux we need to use 'runuser' not 'su'
   if [ -x /sbin/runuser ]
   then
       SU=runuser
   else
       SU=su
   fi 

   # Create log file if needed
   if [ ! -d /var/log/rhdb ]
   then
           mkdir -p /var/log/rhdb
           chown postgres.postgres /var/log/rhdb
   fi
   if [ ! -f /var/log/rhdb/rhdb-jonas ]
   then
           echo "Log file for PostgreSQL rhdb-jonas service" > /var/log/rhdb/rhdb-jonas
           chown postgres.postgres /var/log/rhdb/rhdb-jonas
   fi

   if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
       echo "Setting SELinux context"
       chcon -R -t postgresql_db_t /usr/share/jonas/pgsql

       chcon -R -t postgresql_log_t /var/log/rhdb/rhdb-jonas
   fi 
   chown postgres:postgres $DB
   $SU postgres -s /bin/sh -c "/usr/bin/initdb -D $DB > /dev/null 2>&1"
   # allow localhost password access to this server instance
   echo >> $DB/pg_hba.conf
   echo '# added by jonas.spec' >> $DB/pg_hba.conf
   echo 'host all all 127.0.0.1 255.255.255.255 password' >> $DB/pg_hba.conf
   echo >> $DB/postgresql.conf
   echo '# added by jonas.spec' >> $DB/postgresql.conf
   echo 'tcpip_socket = true' >> $DB/postgresql.conf
   echo 'port = 5433' >> $DB/postgresql.conf
                                                                                
   # Match /var/lib/jonas/conf/PostgreSQL1.properties
   $SU postgres -s /bin/sh -c "/usr/bin/pg_ctl -D $DB -l /dev/null start"
   sleep 2
   $SU postgres -s /bin/sh -c "/usr/bin/createdb -p 5433 db_jonas"
   $SU postgres -s /bin/sh -c "/usr/bin/psql -p 5433 -d db_jonas -c 'alter user postgres with password '\"'postgres'\"';'"
   $SU postgres -s /bin/sh -c "/usr/bin/psql -p 5433 -d db_jonas -c 'create user jonas with password '\"'jonas'\"';'"
   $SU postgres -s /bin/sh -c "/usr/bin/pg_ctl -D $DB stop"

fi

  # create the resources for the examples
  su - jonas -s /bin/sh -c "cd %{rarsdir}/autoload/; . %{jonasrootdir}/bin/unix/RAConfig -j jdbc_1 -dm -p %{confdir}/PostgreSQL1 %{rarsdir}/autoload/JOnAS_jdbcDM PostgreSQL1_DM"

# first install
if [ $1 = 1 ]; then
   /sbin/chkconfig --add rhdb-jonas
fi
%endif

# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%postun
# We don't remove the pre-defined system users or groups
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jonas > /dev/null 2>&1 || :
#  groupdel jonas > /dev/null 2>&1 || :
#fi

%if %{with_tests}
%postun -n jonas-tests
rm -f %{rarsdir}/autoload/PostgreSQLXA1_DM.rar
rm -f %{rarsdir}/autoload/PostgreSQLXA2_DM.rar
%endif

# -----------------------------------------------------------------------------

%files
%defattr(644,root,root,755)
%doc JONAS.README.RPM
%doc doc/*

# < JOnAS Root files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}
%{jonasrootdir}/LicenceAgreement.txt
%{jonasrootdir}/ReleaseNotes.txt
%{jonasrootdir}/build.xml
%dir %{jonasrootdir}/bin
%dir %{jonasrootdir}/bin/unix
%defattr(0755,jonas,jonas,0755)
%config %{jonasrootdir}/bin/unix/config_env
%{jonasrootdir}/bin/unix/GenIC
%{jonasrootdir}/bin/unix/JmsServer
%{jonasrootdir}/bin/unix/jonas
%{jonasrootdir}/bin/unix/newbean
%{jonasrootdir}/bin/unix/RAConfig
%{jonasrootdir}/bin/unix/registry
%{jonasrootdir}/bin/unix/WsGen
%{jonasrootdir}/bin/unix/ClientStubGen
%{jonasrootdir}/bin/unix/jboss2jonas
%{jonasrootdir}/bin/unix/newjb
%defattr(0644,jonas,jonas,0755)
# FIXME should we remove the 'nt' directory?
%dir %{jonasrootdir}/bin/nt
%{jonasrootdir}/bin/nt/*
%dir %{jonasrootdir}/xml
%{jonasrootdir}/xml/*
%dir %{jonasrootdir}/templates
%{jonasrootdir}/templates/*
%dir %{jonasrootdir}/logs
%dir %{jonasrootdir}/apps
# Defined in the client subpackage
#%dir %{jonasrootdir}/conf
#%dir %{jonasrootdir}/ejbjars
#%dir %{jonasrootdir}/lib
%dir %{jonasrootdir}/rars
%dir %{jonasrootdir}/webapps
%dir %{jonasrootdir}/work
# Defined in the tests subpackage
#%dir %{jonasrootdir}/jonas_tests
# ---------------------
# JOnAS Root files >

# < Configuration files
# ---------------------
%dir %{confdir}
%config %{confdir}/a3debug.cfg
%config %{confdir}/a3servers.xml
%config %{confdir}/context.xml
%config %{confdir}/db2.properties
%config %{confdir}/FirebirdSQL.properties
%config %{confdir}/HSQL1.properties
%config %{confdir}/InstantDB1.properties
%config %{confdir}/InterBase1.properties
%config %{confdir}/java.policy
%config %{confdir}/jetty5.xml
%config %{confdir}/jetty5-webdefault.xml
%config %{confdir}/jk2.properties
%config %{confdir}/uddi.properties
%config %{confdir}/file1.properties
%config %{confdir}/jaxr.properties
%config %{confdir}/jonas.properties
%config %{confdir}/jotm.properties
%config %{confdir}/jonas-realm.xml
%config %{confdir}/jonathan.xml
%config %{confdir}/joram-admin.cfg
%config %{confdir}/MailMimePartDS1.properties
%config %{confdir}/MailSession1.properties
%config %{confdir}/McKoi1.properties
%config %{confdir}/MySQL.properties
%config %{confdir}/Oracle1.properties
%config %{confdir}/PostgreSQL1.properties
%config %{confdir}/Sybase1.properties
%config %{confdir}/server.xml
%config %{confdir}/mod_jk-server.xml
%config %{confdir}/speedo.properties
%config %{confdir}/spy.properties
%config %{confdir}/trace.properties
%config %{confdir}/web.xml
%config %{confdir}/wrapper.conf

# Eclipse debug server configuration template
%dir %{eclipsedir}
%{eclipsedir}/

# SysV scripts and configuration
%defattr(0655,root,root,0755)
/etc/rc.d/init.d/jonas
%defattr(0644,root,root,0755)
%config /etc/sysconfig/jonas
%config /etc/logrotate.d/jonas
%config /etc/profile.d/jonas.csh
%config /etc/profile.d/jonas.sh
# ---------------------
# Configuration files >

# < Cache files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{workdir}
# ---------------------
# Cache files >

# < Log files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{logsdir}
%doc %{logsdir}/README
# ---------------------
# Log files >

# < Libraries
# ---------------------
%defattr(0644,jonas,jonas,0755)
# Defined in the client subpackage as it is also needed on client systems
#%dir %{libdir}
%doc %{libdir}/README
%{libdir}/ishmael.jar
%dir %{libdir}/apps
%doc %{libdir}/apps/README
%dir %{libdir}/common
%{libdir}/common/ow_jonas_ant.jar
%{libdir}/common/ow_jonas_bootstrap.jar
%dir %{libdir}/commons
%doc %{libdir}/commons/README
%dir %{libdir}/commons/jonas
%doc %{libdir}/commons/jonas/README
%{libdir}/commons/jonas/
# FIXME If we escape the square brackets we get "File not found"
# For instance:
#%{libdir}/commons/jonas/carol/\[jgroups\].jar
# FIXME If we don't escape we get "File not found by glob"
# For instance:
#%{libdir}/commons/jonas/carol/[jgroups].jar
# So we just don't list the files of the affected directories
%dir %{libdir}/commons/jonas/axis
%{libdir}/commons/jonas/axis/
%dir %{libdir}/commons/jonas/carol
%doc %{libdir}/commons/jonas/carol/README
%{libdir}/commons/jonas/carol/
%dir %{libdir}/commons/jonas/jakarta-commons
%doc %{libdir}/commons/jonas/jakarta-commons/README
%{libdir}/commons/jonas/jakarta-commons
%dir %{libdir}/commons/jonas/jeremie
%doc %{libdir}/commons/jonas/jeremie/README
%{libdir}/commons/jonas/jeremie
%dir %{libdir}/commons/jonas/joram
%doc %{libdir}/commons/jonas/joram/README
%{libdir}/commons/jonas/joram
%dir %{libdir}/commons/jonas/jorm
%doc %{libdir}/commons/jonas/jorm/README
%{libdir}/commons/jonas/jorm
%dir %{libdir}/commons/jonas/medor
%doc %{libdir}/commons/jonas/medor/README
%{libdir}/commons/jonas/medor
%dir %{libdir}/commons/jonas/monolog
%doc %{libdir}/commons/jonas/monolog/README
%{libdir}/commons/jonas/monolog
%dir %{libdir}/commons/jonas/mx4j
%doc %{libdir}/commons/jonas/mx4j/README
%{libdir}/commons/jonas/mx4j
%dir %{libdir}/commons/jonas/perseus
%{libdir}/commons/jonas/perseus
%dir %{libdir}/commons/jonas/speedo
%doc %{libdir}/commons/jonas/speedo/README
%{libdir}/commons/jonas/speedo
%dir %{libdir}/commons/j2ee
%doc %{libdir}/commons/j2ee/README
%{libdir}/commons/j2ee
%dir %{libdir}/tools
%doc %{libdir}/tools/README
%{libdir}/tools
%dir %{libdir}/endorsed
%doc %{libdir}/endorsed/README
%{libdir}/endorsed
%dir %{libdir}/ext
%doc %{libdir}/ext/README
%dir %{libdir}/catalina
%dir %{libdir}/catalina/bin
%{libdir}/catalina/bin/bootstrap.jar
%dir %{libdir}/catalina/common
%dir %{libdir}/catalina/common/lib
%doc %{libdir}/catalina/common/lib/README
%{libdir}/catalina/common/lib
%dir %{libdir}/catalina/server
%dir %{libdir}/catalina/server/lib
%doc %{libdir}/catalina/server/lib/README
%{libdir}/catalina/server/lib
%dir %{libdir}/catalina/shared
%dir %{libdir}/catalina/shared/lib
%doc %{libdir}/catalina/shared/lib/README
%dir %{libdir}/jetty
%dir %{libdir}/jetty/ext
%doc %{libdir}/jetty/ext/README
%dir %{libdir}/jetty/lib
%doc %{libdir}/jetty/lib/README
# ---------------------
# Libraries >

%dir %{syslibdir}/%{name}

%dir %{appsdir}
%doc %{appsdir}/README
%{appsdir}/j2eemanagement.ear
%{appsdir}/ws.ear
%dir %{appsdir}/autoload
%doc %{appsdir}/autoload/README
%{appsdir}/autoload/mejb.ear

%dir %{webappsdir}
%{webappsdir}/juddi.war
%{webappsdir}/wsaccess.war
%{webappsdir}/wswarsample.war
%dir %{webappsdir}/autoload
%doc %{webappsdir}/autoload/README
%{webappsdir}/autoload/jonasAdmin.war
%{webappsdir}/autoload/ctxroot.war

# Defined in the client subpackage
#%dir %{ejbjarsdir}
%doc %{ejbjarsdir}/README
%{ejbjarsdir}/mejb.jar
%doc %{ejbjarsdir}/autoload/README

%dir %{rarsdir}
%doc %{rarsdir}/README
%config %{rarsdir}/speedo_for_jonas_ra.rar
%config %{rarsdir}/scout_for_jonas_ra.rar
%dir %{rarsdir}/autoload
%{rarsdir}/autoload/JOnAS_jdbcCP.rar
%{rarsdir}/autoload/JOnAS_jdbcDM.rar
%{rarsdir}/autoload/JOnAS_jdbcDS.rar
%{rarsdir}/autoload/JOnAS_jdbcXA.rar
%{rarsdir}/autoload/joram_for_jonas_ra.rar
%doc %{rarsdir}/autoload/README

%attr(755,root,root) %{_bindir}/jonas
%attr(755,root,root) %{_bindir}/newbean
%attr(755,root,root) %{_bindir}/registry
%attr(755,root,root) %{_bindir}/RAConfig
%attr(755,root,root) %{_bindir}/WsGen
%attr(755,root,root) %{_bindir}/GenIC
%attr(755,root,root) %{_bindir}/JmsServer

%files client
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/lib
%dir %{libdir}
%{libdir}/client.jar
%dir %{jonasrootdir}/clients
%dir %{clientsdir}
%doc %{clientsdir}/README
%dir %{jonasrootdir}/conf
%config %{confdir}/carol.properties
%config %{confdir}/jonas-client.properties
%config %{confdir}/jacorb.properties
%config %{confdir}/jaas.config
%config %{confdir}/traceclient.properties
%dir %{jonasrootdir}/bin
%dir %{jonasrootdir}/bin/unix
%attr(755,jonas,jonas) %{jonasrootdir}/bin/unix/setenv
%attr(755,jonas,jonas) %{jonasrootdir}/bin/unix/jclient
%attr(755,root,root) %{_bindir}/jclient

# Defined in the client subpackage as it is also needed on client systems
%dir %{jonasrootdir}/ejbjars
%dir %{ejbjarsdir}

%files docs
%defattr(0644,jonas,jonas,0755)
%{webappsdir}/autoload/jonas-doc-en
%{webappsdir}/autoload/tomcat-docs.war
%{webappsdir}/autoload/jonas-emb-javadoc.war


%files examples
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/examples
%{jonasrootdir}/examples/*
%dir %{libdir}/examples
%doc %{libdir}/examples/README
%{libdir}/examples
%dir %{demodir}
%doc %{demodir}/README
%dir %{demodir}/logs
%doc %{demodir}/logs/README
%dir %{demodir}/apps
%doc %{demodir}/apps/README
%doc %{demodir}/apps/autoload/README
%{demodir}/apps/autoload/mejb.ear
%dir %{demodir}/rars
%doc %{demodir}/rars/README
%{demodir}/rars/speedo_for_jonas_ra.rar
%{demodir}/rars/autoload/JOnAS_jdbcCP.rar
%{demodir}/rars/autoload/JOnAS_jdbcDM.rar
%{demodir}/rars/autoload/JOnAS_jdbcDS.rar
%{demodir}/rars/autoload/JOnAS_jdbcXA.rar
%{demodir}/rars/autoload/joram_for_jonas_ra.rar
%doc %{demodir}/rars/autoload/README
%dir %{demodir}/ejbjars
%doc %{demodir}/ejbjars/README
%doc %{demodir}/ejbjars/autoload/README
%dir %{demodir}/clients
%doc %{demodir}/clients/README
%dir %{demodir}/webapps
%{demodir}/webapps/juddi.war
%dir %{demodir}/webapps/autoload
%doc %{demodir}/webapps/autoload/README
%{demodir}/webapps/autoload/jonasAdmin.war
%{demodir}/webapps/autoload/ctxroot.war
%dir %{demodir}/conf
%{demodir}/conf/*
%dir %{demodir}/lib
%dir %{demodir}/lib/apps
%doc %{demodir}/lib/apps/README
%dir %{demodir}/lib/commons
%doc %{demodir}/lib/commons/README
%dir %{demodir}/lib/ext
%doc %{demodir}/lib/ext/README
%dir %{demodir}/lib/tools
%doc %{demodir}/lib/tools/README

%{webappsdir}/wsaccess.war
%{webappsdir}/wswarsample.war
# FIXME We don't build the hibernate sample yet
#%{webappsdir}/hibernate-sample.war
%{appsdir}/alarm.ear
%{appsdir}/cmp2.ear
%{appsdir}/emb-sample.ear
%{appsdir}/olstore.ear
%{appsdir}/sampleCluster2.ear
%{appsdir}/wsclient.ear
%{appsdir}/autoload/earsample.ear
%{clientsdir}/jaasopclient1.jar
%{clientsdir}/jaasopclient2.jar
%{clientsdir}/jaasopclient3.jar
%{ejbjarsdir}/clusterDemo.jar
%{ejbjarsdir}/cmp2.jar
%{ejbjarsdir}/eb.jar
%{ejbjarsdir}/ejbs.jar
%{ejbjarsdir}/jaasop.jar
%{ejbjarsdir}/jms.jar
%{ejbjarsdir}/lb.jar
%{ejbjarsdir}/mailsb.jar
%{ejbjarsdir}/sampleappli.jar
%{ejbjarsdir}/samplemdb.jar
%{ejbjarsdir}/newsamplemdb.jar
%{ejbjarsdir}/sb.jar
%{ejbjarsdir}/secusb.jar

%if %{with_postgresql}
%defattr(0644,postgres,postgres,0700)
%dir %{jonasrootdir}/pgsql

# SysV init scripts and configuration
%defattr(0655,root,root,0755)
/etc/rc.d/init.d/rhdb-jonas
%defattr(0644,root,root,0755)
%config /etc/sysconfig/pgsql/rhdb-jonas
%config /etc/logrotate.d/rhdb-jonas
%endif

%if %{with_tests}
%files tests
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/jonas_tests
%dir %{jonastestsdir}
%{jonastestsdir}/*
%{ejbjarsdir}/annuaire.jar
%{ejbjarsdir}/applimet.jar
%{ejbjarsdir}/bank.jar
%{ejbjarsdir}/beanexc.jar
%{ejbjarsdir}/bmt.jar
%{ejbjarsdir}/bytearray.jar
%{ejbjarsdir}/cascade.jar
%{ejbjarsdir}/cluster.jar
%{ejbjarsdir}/dass.jar
%{ejbjarsdir}/ebasic.jar
%{ejbjarsdir}/ejbql.jar
%{ejbjarsdir}/family.jar
%{ejbjarsdir}/folder.jar
%{ejbjarsdir}/hotdeploy1.jar
%{ejbjarsdir}/hotdeploy2.jar
%{ejbjarsdir}/inherit.jar
%{ejbjarsdir}/j2eeca.jar
%{ejbjarsdir}/jca15.jar
%{ejbjarsdir}/jdbc.jar
%{ejbjarsdir}/jdbcra.jar
%{ejbjarsdir}/lcp.jar
%{ejbjarsdir}/local.jar
%{ejbjarsdir}/message.jar
%{ejbjarsdir}/mnb.jar
%{ejbjarsdir}/mnu.jar
%{ejbjarsdir}/mou.jar
%{ejbjarsdir}/obigd.jar
%{ejbjarsdir}/oboolean.jar
%{ejbjarsdir}/obyte.jar
%{ejbjarsdir}/odouble.jar
%{ejbjarsdir}/ofloat.jar
%{ejbjarsdir}/ofloat4pk.jar
%{ejbjarsdir}/ointeger.jar
%{ejbjarsdir}/olong.jar
%{ejbjarsdir}/omb.jar
%{ejbjarsdir}/omu.jar
%{ejbjarsdir}/oob.jar
%{ejbjarsdir}/oobj.jar
%{ejbjarsdir}/oou.jar
%{ejbjarsdir}/oser.jar
%{ejbjarsdir}/oshort.jar
%{ejbjarsdir}/osqldate.jar
%{ejbjarsdir}/osqltime.jar
%{ejbjarsdir}/osqlts.jar
%{ejbjarsdir}/osqlts4pk.jar
%{ejbjarsdir}/outildate.jar
%{ejbjarsdir}/pboolean.jar
%{ejbjarsdir}/pdouble.jar
%{ejbjarsdir}/pfloat.jar
%{ejbjarsdir}/pkcomp.jar
%{ejbjarsdir}/pkg.jar
%{ejbjarsdir}/plong.jar
%{ejbjarsdir}/pshort.jar
%{ejbjarsdir}/rcycle.jar
%{ejbjarsdir}/remon.jar
%{ejbjarsdir}/remoterunner.jar
%{ejbjarsdir}/s1pkcomp.jar
%{ejbjarsdir}/s2pkcomp.jar
%{ejbjarsdir}/s3pkcomp.jar
%{ejbjarsdir}/secured.jar
%{ejbjarsdir}/sequence.jar
%{ejbjarsdir}/tables.jar
%{ejbjarsdir}/tier.jar
%{ejbjarsdir}/transacted.jar
%{ejbjarsdir}/worker.jar
%{rarsdir}/autoload/ErsatzEIS.rar
%{rarsdir}/autoload/ErsatzLoTransaction.rar
%{rarsdir}/autoload/ErsatzNolog.rar
%{rarsdir}/autoload/ErsatzSecurity.rar
%{rarsdir}/autoload/ErsatzXATransaction.rar
%{rarsdir}/autoload/JtestResourceAdapter.rar
%{rarsdir}/autoload/Nolog.rar
%{rarsdir}/autoload/Reauth.rar
%{rarsdir}/autoload/Security.rar
%{rarsdir}/autoload/Transaction.rar
%{rarsdir}/autoload/XATransaction.rar
%endif

# -----------------------------------------------------------------------------

%changelog
* Mon Dec 05 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.3-1jpp_5rh
- Backport fix from 4.6.4: Fix issue with JonasHandler invoked under heavy load

* Mon Dec 05 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.3-1jpp_4rh
- Client subpackage also owns the bin directory
- Clean the return code in pre as it is not zero if directories are not there yet

* Sun Dec 04 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.3-1jpp_3rh
- Move cleanup files from %preun to %pre
- Properly mark RAR files as configuration files
- SAve backup copy of RAR file to fix problem cause by typo on some older spec files
- Add trigger to fix problem cause by typo on some older spec files

* Wed Nov 30 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.3-1jpp_2rh
- Require latest Ishmael version

* Wed Nov 30 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.3-1jpp_1rh
- Upgrade to 4.6.3
- Explicitly require geronimo-specs APIs both at build and at run time to
  ensure signatures in client.jar are the same as in the server lib/commons/j2ee
  directory.
- Require classpathx-mail release that has javamail.jar

* Thu Nov 24 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.2-1jpp_2rh
- Remove the right RAR files when uninstalling the tests subpackage

* Fri Nov 18 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.2-1jpp_1rh
- Upgrade to 4.6.2
- Depends on Tomcat libs at runtime
- Uses gernonimo-specs new subpackages
  From Deepak Bhole <dbhole@redhat.com>
- Fix SysV script and post script to work with SELinux
- Uses new classpath-mail as javamail alternative

* Wed Oct 26 2005 Fernando Nasser <fnasser at redhat.com> - 4.6.1-1jpp_1rh
- Upgrade to 4.6.1
- Remove gif89encoder as the JDK javax.imageio.ImageIO is now used
- Replace JAXR and JAXB RIs with Apache Scout
- Do not require JTS
- Requires jakarta-commons-codec
- Use ews-mapper, geronimo-jacc-1.0-api
- Use wss4j, ws-fx-addressing, opensaml, xml-security
- Use objectweb-emb, objectweb-emb-api and build EMB sample

* Tue Aug 09 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.2-1jpp_5rh
- Add WsGen, GenIC and JmsServer links to /usr/bin

* Sun Aug 07 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.2-1jpp_4rh
- Patch build.xml to actually remove some jar file contents from client.jar
- Include java_cup-runtime in client.jar

* Thu Aug 04 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.2-1jpp_3rh
- Fixed typo that cause geronimo-spec jars to mix with the ones used by JOnAS

* Wed Aug 03 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.2-1jpp_2rh
- Always create RAR for PostgreSQL, not only on first install

* Wed Aug 03 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.2-1jpp_1rh
- Update to 4.5.2
- Update documentation and use tar file with just HTML
- Do not build Hibernate example yet

* Wed Aug 03 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.1-1jpp_3rh
- Rebuild with JORAM 4.3.4
- Allow greather versions of dependencies
- Fix typo in jar file name

* Tue Aug 02 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.1-1jpp_2rh
- Use a RA for accessing the example database instead of deprecated dbm service
- Use speedo-for-jonas, not speedo-jonas

* Fri Jul 29 2005 Fernando Nasser <fnasser at redhat.com> - 4.5.1-1jpp_1rh
- Upgrade to 4.5.1
- Use jacorb and axis packages
- Use medor, medor-expression, jorm and jorm-rdb-adapter packages
- Use juddi-webapps and perseus-* packages
- Use ishmael, apache-jdo, speedo and fastrmic packages
- Add dependency on 'concurrent'
- Replace AcmeGifEncoder with gif89encoder

* Mon Jul 04 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_14rh
- Create file and/or dir for dbms log if necessary

* Wed Jun 29 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_13rh
- Update rhdb-jonas init script, making it a link and adjust location
  of the config file accordingly

* Fri Jun 24 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_12rh
- Add mod_jk-server.xml sample config file

* Tue Jun 21 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_11rh
- Make sure jonas-client is installed first

* Fri Jun 17 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_10rh
- Keep ow_fastrmic.jar in tools
- Relax requirements on version of javamail used

* Fri Jun 17 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_9rh
- Add missing dependencies on eclipse-ecj and geronimo-specs, needed by the
  embedded tomcat

* Fri Jun 17 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_8rh
- Add irmi classes to client.jar

* Fri Jun 17 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_7rh
- Complete previous patch (additional changes by Guillaume Sauthier)

* Fri Jun 17 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_6rh
- Backport fix from 4.5 to cope with mod_jk and web services multiple
  connector problem (patch by Vivek Lakshmanan)

* Wed Jun 15 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_5rh
- Add carol irmi jar and corresponding dependency

* Wed Jun 15 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_4rh
- Remove run-time dependency on tomcat5 package

* Fri Jun 10 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_3rh
- Update documentation to 4.4.2 level
- Fix servlet.jar name in patch
- Move sequence.jar from examples to tests
- Rebuild with newer avalon-framework and monolog 1.9.2

* Fri Jun 10 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_2rh
- Move to Tomcat 5.5.9 as web container
- Use how-logger package
- Use jdo2.jar from SPEEDO as the Sun one is stil at 1.x level
- Get ow_carol_iiop_delegate.jar from the carol package

* Sun Jun 05 2005 Fernando Nasser <fnasser at redhat.com> - 4.4.2-1jpp_1rh
- Upgrade to 4.4.2
- Revert to use mx4j package
- Revert to use asm package
- Revert to use xmlbeans package

* Wed Apr 13 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.5-1jpp_1rh
- Upgrade to 4.3.5

* Wed Mar 09 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_3rh
- Fix catalina links

* Tue Mar 08 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1jpp_1rh
- Upgrade to 4.3.3
- Revert to use mx4j shipped with JOnAS
- Use the JOTM package
- Use the JORAM package

* Thu Feb 04 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.1-1jpp_1rh
- Upgrade to 4.3.1 release candidate (snapshot as of Jan 26, 2005)
- Replace JCup.jar with java_cup RPM dependency
- Replace XDoclet with xdoclet dependency (contains ObjectWeb fixes)
- Remove dependency on commons-el  (comes with Tomcat)

* Mon Jan 10 2005 Permaine Cheung <pcheung at redhat.com> - 4.2.3-1jpp_6rh
- Create two datasources jdbc_xa1 and jdbc_xa2 for running the JDBC Resouce
  Adapter tests and remove them when the test rpm is uninstalled

* Mon Jan 10 2005 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_5rh
- Patch to fix Web Services problems (from Eric Hardesty)
- Make 'ws' service on by default

* Thu Dec 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_4rh
- Rebuild

* Thu Dec 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_3rh
- Rebuild

* Tue Dec 21 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_2rh
- Add mechanism to build snapshots
- Replace more jar files with dependencies

* Fri Dec 17 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.3-1jpp_1rh
- Upgrade to 4.2.3

* Wed Dec 15 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.2-1jpp_1rh
- Upgrade to 4.2.2

* Mon Dec 13 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.1-1jpp_3rh
- Source configuration settings in the reverse order so the JOnAS settings
  are not clobbered
- Use p6spy, jta, j2ee-connector, j2ee-deployment, j2ee-management,
  oldkilim and nanoxml packages

* Thu Dec 09 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.1-1jpp_2rh
- Add link to jonas_tests
- Rebuild with Tomcat 5.0.30
- Use the jonathan-* packages

* Fri Dec 06 2004 Fernando Nasser <fnasser at redhat.com> - 4.2.1-1jpp_1rh
- Upgrade to JOnAS 4.2.1 release

* Wed Nov 03 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.4-1jpp_1rh
- Upgrade to JOnAS 4.1.4 release
- Update patch to Ant build script
- Not any longer necessary to patch classloader.
- Patch to JmsServer script already incorporated in the sources (removed)
- Add profile scripts to add default JONAS_ROOT
- Accept other versions of PostgreSQL, not only the RHDB one
- Include jonas_tests and conditionally build the conformance tests
- Add olstore example
- Add lib/examples subdirectory and contents

* Tue Sep 28 2004 Mike McLean <mikem at redhat.com> - 4.1.2-2jpp_2rh
- remove vendor and distribution macros

* Fri Aug 27 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-2jpp_1rh
- Merge with upstream package
- Update SysV init script and associated sysconfig file
- Include fix from Permaine Cheung to the rhdb-jonas logrotate configuration.

* Thu Jul 28 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_14rh
- Always register the rhdb-jonas service with chkconfig
- Fix typo in jonas init script

* Mon Jul 26 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_13rh
- Require xalan-j2 to be at least 2.6.0 due to a bug in 2.5.4
- Declare version of xalan in version.properties (patch0)

* Fri Jul 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_12rh
- Modify template/conf to provide a PostgreSQL datasource

* Fri Jul 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_11rh
- Backfix for the JmsServer command

* Thu Jul 22 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_10rh
- Add xalan-j2 to endorsed jars
- Move pdf files to another package
- Renumber source entries.

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_9rh
- Build with tomcat5 5.0.27 due to problems with 5.0.24 and jonasAdmin
- Clean return code if service was already stopped

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_8rh
- Stop service before both updating and deleting.

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_7rh
- Stop service before installing, not before uninstalling
- Fix test for already created database

* Mon Jul 19 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_6rh
- Fix class loading problems

* Fri Jul 16 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_5rh
- Replace beta2 graphics with final ones.
- Require specific jonas version on subpackages
- Remove duplicate listing of configure files
- Add template configuration directory for Eclipse debugging
- Split build scripts patch

* Wed Jul 14 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_4rh
- Bump release to make build system happy.

* Mon Jul 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_3rh
- Fix test for already configured database
- Fix ownership of rars/autoload
- Create user jonas in the jonas-client subpackage, as that can be installed
  by itself (while the jonas main package depends on jonas-client)

* Wed Jul 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_2rh
- Reinstate test for already configured database.

* Wed Jul 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_1rh
- JOnAS release 1.4.2

* Mon Jul 5 2004 Permaine Cheung <pcheung at redhat.com> - 4.1.1-1jpp_4rh
- Add conf/Sybase1.properties as a config file.

* Tue Jun 29 2004 Andrew Overholt <overholt at redhat.com> - 4.1.1-1jpp_3rh
- jonas -> JOnAS in a few remaining places

* Tue Jun 29 2004 Permaine Cheung <pcheung at redhat.com> - 4.1.1-1jpp_2rh
- Fix configuration for sample database when the data directory doesn't exist.

* Fri Jun 25 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.1-1jpp_1rh
- Bug fixes JOnAS release 4.1.1
- Use JMS shipped with JOnAS.
- Fix version in subpackage dependency
- Add links for utilities in /usr/bin
- Fix permission of executable scripts
- Fix duplicate error in client.jar
- Make config_env a %config so people can change it to switch JDBC drivers.

* Wed Jun 16 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_10rh
- Move jonas-client.properties back to client subpackage; needed by
  webservice clients.

* Tue Jun 15 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_9rh
- Fixes to Client subpackage contents

* Sat Jun 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_8rh
- Fixes to %preun script

* Sat Jun 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_7rh
- Move cleanup to the main package

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_6rh
- Move all client related things to the client subpackage

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_5rh
- Move cleanup files from %postun to %preun

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_4rh
- Move html documentation to the main package

* Wed Jun 09 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_3rh
- Fix documentation installation directory

* Mon Jun 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_2rh
- Mark README files as %doc
- Fix permissions of jclient.sh
- Prevent duplicate configuration of sample database

* Thu Jun 03 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_1rh
- JOnAS version 4.1
- Remove db service from list of services (HSQL should not be started)
- Rename patch file to conform to naming conventions

* Fri Apr 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_6rh
- Remove link to external site from the Welcome page.

* Fri Apr 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_5rh
- Fix directory ownerships.

* Thu Apr 22 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_4rh
- Add backfix that will be in JOnAS release 4.1
- Customize welcome page

* Mon Apr 06 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_3rh
- JOnAS release 4.0

* Mon Apr 06 2004 Fernando Nasser <fnasser at redhat.com> - 3.3.7-1jpp_1rh
- JOnAS release 3.3.7

* Mon Mar 31 2004 Fernando Nasser <fnasser at redhat.com> - 3.3.6-2jpp_12rh
- RH customization

* Mon Mar 08 2004 Guillaume Sauthier <guillaume.sauthier at objectweb.org> - 3.3.6-1jpp
- JOnAS release 3.3.6
- add jonathan dependencie
- remove privated files
- clean spec file
- jmx not included (MBeanException)

* Wed Oct 17 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-2jpp
- Fix change log

* Thu Oct 16 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-1jpp
- JOnAS release 3.3
- File layout change

* Tue Sep 09 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-2jpp
- removed link from %{_javadir}

* Fri Aug 29 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-1jpp
- initial version, JOnAS version 3.2
